<?php
/*****************************************************************
 *   constants.php
 *   -------------------
 *   This file is part of AMAZECS
 *
 *   @package    : amazecs
 *   @purpose    : Constants file
 *   @copyright  : (C) 2004,2006 Len Johnson
 *   @mail       : GB WEBS, 4 Leominster Walk,
 *				   West Midlands, B45 9SW, UK
 *   @support    : http://www.web-bureau.com/forum/
 *   @version    : $Id: constants.php,v 1.0.0 $
 *   @license 	 : http://opensource.org/licenses/gpl-license.php
 *
 *****************************************************************/
 /*****************************************************************
 *	 GNU Public License
 *   This program is free software; you can redistribute it and/or modify it
 *   under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License,
 *   or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty
 *	 of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *****************************************************************/

/**
 * @ignore
 */
$sqla = dbquery("SELECT * FROM {$db_prefix}amaz WHERE amaz_id='1'");
$data = dbarray($sqla);
define('ASSOCIATE_ID', $data['amaz_ASSOCIATE_ID']);
define('FEATURED_ASINS', $data['amaz_featured_ASINS']);
/**
 * Define the amz_locale or country to display content for
 * Only UK supported currently. Other options are: US, FR, DE, JP and CA
 */
$amz_locale = $data['amaz_locale'];
/**
 * constants
 */
$arItems = array();
$arxIndex = array();
$itemCount = 0;
$curDisc = 0;
$indexCount = 0;
/**
 * END of configuration variables
 */
if ($amz_locale == 'UK') {
	define('ECS4_AMAZON_URL', 'http://webservices.amazon.co.uk/onca/xml?Service=AWSECommerceService');
}
elseif ($amz_locale == 'US') {
	define('ECS4_AMAZON_URL', 'http://webservices.amazon.com/onca/xml?Service=AWSECommerceService');
}
elseif ($amz_locale == 'FR') {
	define('ECS4_AMAZON_URL', 'http://webservices.amazon.fr/onca/xml?Service=AWSECommerceService');
}
elseif ($amz_locale == 'DE') {
	define('ECS4_AMAZON_URL', 'http://webservices.amazon.de/onca/xml?Service=AWSECommerceService');
}
elseif ($amz_locale == 'JP') {
	define('ECS4_AMAZON_URL', 'http://webservices.amazon.co.jp/onca/xml?Service=AWSECommerceService');
}
elseif ($amz_locale == 'CA') {
	define('ECS4_AMAZON_URL', 'http://webservices.amazon.ca/onca/xml?Service=AWSECommerceService');
}
/**
 * These are the variables we are expecting from outside.
 * They will be validated and converted to globals
 */
$external = array('Actor', 'Artist', 'Author', 'ASIN', 'Brand', 'BrowseNode', 'bnlu_amz_locale', 'CartAdd', 'CartClear', 'CartGet', 'CartModify', 'Composer', 'Condition', 'Conductor', 'Director', 'ISBN', 'ItemPage', 'Keywords', 'amz_locale', 'Manufacturer', 'MaximumPrice', 'MinimumPrice', 'MPAARating', 'multi', 'MusicLabel', 'my_Id', 'OfferListingId', 'Orchestra', 'page', 'Power', 'Publisher', 'quantity', 'ReviewPage', 'search', 'SearchIndex', 'sort', 'Title', 'power');
/**
 * Variables may come via Get or Post
 * Validated and convert to globals
 */
foreach ($external as $e)
{
	if (@$HTTP_POST_VARS[$e])
    {
		$$e = $HTTP_POST_VARS[$e];
    }
	elseif (@$HTTP_GET_VARS[$e])
    {
		$$e = $HTTP_GET_VARS[$e];
    }
	else
    {
		$$e = '';
    }
	$$e = trim($$e);
}
?>