<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."amazecs/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."amazecs/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."amazecs/locale/English.php";
}

if (!checkrights("IP")) fallback("../index.php");

if ($update) {
	$amaz_SITE_TITLE = addslashes($amaz_SITE_TITLE);
	$sql = dbquery("UPDATE {$db_prefix}amaz
    SET amaz_ASSOCIATE_ID='$amaz_ASSOCIATE_ID',
    amaz_featured_ASINS='$amaz_featured_ASINS'
    WHERE amaz_id='1'");
}

$sqla = dbquery("SELECT * FROM {$db_prefix}amaz WHERE amaz_id='1'");
$data = dbarray($sqla);
$amaz_ASSOCIATE_ID = $data['amaz_ASSOCIATE_ID'];
$amaz_featured_ASINS = $data['amaz_featured_ASINS'];
$amaz_locale = $data['amaz_locale'];
$formaction = 'admin.php';
opentable($locale['amazecs118']);

if ($update) {
	echo $locale['amz_Updatestatus'];
}
echo "<form name='inputform' method='post' action='$formaction'>
<table align='center' cellpadding='0' cellspacing='0'>
<tr>
<td class='tbl'>".$locale['amz_ASSOCIATE_ID']."</td>
<td class='tbl'><input type='text' name='amaz_ASSOCIATE_ID' value='$amaz_ASSOCIATE_ID' class='textbox' style='width:300px;'></td>
</tr>
<tr>
<td class='tbl'>".$locale['amz_feat_ASIN']."</td>
<td class='tbl'><input type='text' name='amaz_featured_ASINS' value='$amaz_featured_ASINS' class='textbox' style='width:300px;'></td>
</tr>
<tr>
<tr>
<td class='tbl'>".$locale['amz_locale']."</td>
<td class='tbl'><b>$amaz_locale</b></td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl'><input type='submit' name='update' value='".$locale['amz_Update']."' class='button'></td>
</tr>
</table>
</form>\n";
echo $locale['amz_feat_ASIN_help'];
closetable();

echo "</td>\n";
require_once BASEDIR."footer.php";
?>