<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."amazecs/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."amazecs/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."amazecs/locale/English.php";
}

// Infusion general information
$inf_title = $locale['amazecs100'];
$inf_description = $locale['amazecs101'];
$inf_version = "1.0";
$inf_developer = "Len Johnson";
$inf_email = "smotw@web-bureau.com";
$inf_weburl = "http://www.web-bureau.com";

$inf_folder = "amazecs"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "admin.php"; // The admin panel filename if required.

$inf_link_name = $locale['amazecs102b']; // if not required replace $locale['amazecs102']; with "";
$inf_link_url = "index.php"; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 1; // Number of new db tables to create or drop.
$inf_insertdbrows = 1; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 1; // Number of db tables to delete data from.

// Delete any items not required here.
$inf_newtable_[1] = "amaz (
amaz_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
amaz_ASSOCIATE_ID VARCHAR(200) DEFAULT 'track2020-21' NOT NULL,
amaz_locale VARCHAR(2) DEFAULT 'UK' NOT NULL,
amaz_featured_ASINS VARCHAR(120) DEFAULT 'B000EBOZYC,B000DZ7YII,B000BAFN6K,B000B69T1O,B000EAN5F8,B000AGQ7YM,B0000AP4RQ' NOT NULL,
PRIMARY KEY (amaz_id)
) TYPE=MyISAM;";

$inf_insertdbrow_[1] = "amaz (amaz_id, amaz_ASSOCIATE_ID, amaz_locale, amaz_featured_ASINS) VALUES('1', 'track2020-21', 'UK', 'B000EBOZYC,B000DZ7YII,B000BAFN6K,B000B69T1O,B000EAN5F8,B000AGQ7YM,B0000AP4RQ')";

$inf_droptable_[1] = "amaz";

$inf_deldbrow_[1] = "amaz";
/*
*/


?>