<?php

require_once(INFUSIONS.'amazecs/constants.php');

// Amazecs titles & description
$locale['amazecs100'] = "AmazECS Amazon Cart";
$locale['amazecs101'] = "Amazon powered product search.";
$locale['amazecs102'] = "Product Search";
$locale['amazecs102b'] = 'Shopping';
$locale['amazecspower'] = 'Script: <a href="http://www.web-bureau.com/infusions/amazecs/">AmazECS</a>';
$locale['amazecsdata'] = 'Data: <a href="http://www.amazon.co.uk/exec/obidos/redirect?link_code=ur2&tag='.ASSOCIATE_ID.'&camp=1634&creative=6738&path=http%3A%2F%2Fwww.amazon.co.uk%2F">Amazon</a><img src="http://www.assoc-amazon.co.uk/e/ir?t='.ASSOCIATE_ID.'&amp;l=ur2&amp;o=2" width="1" height="1" border="0" alt="" style="border:none !important; margin:0px !important;" />';

$lang['amz_SITE_INTRO'] = '<p>Welcome to our online store! You can add more info here via the language file (../infusions/locale/English.php in this case).</p>';
$locale['amazecscredits'] = $locale['amazecspower'].'<br />'.$locale['amazecsdata'].'<br />';

// Categories (SearchIndex)
$locale['amazecs103'] = "Books";
$locale['amazecs104'] = "DVD";
$locale['amazecs105'] = "Electronics";
$locale['amazecs106'] = "Health &amp; Beauty";
$locale['amazecs107'] = "Home &amp; Garden";
$locale['amazecs108'] = "Kitchen";
$locale['amazecs109'] = "Music";
$locale['amazecs110'] = "PC &amp; Video Games";
$locale['amazecs111'] = "Outdoor Living";
$locale['amazecs112'] = "Software";
$locale['amazecs113'] = "Toys";
$locale['amazecs114'] = "VHS Video";


$locale['amazecs115'] = "Find products:";
$locale['amazecs116'] = "Store Title";
$locale['amazecs117'] = "All Categories";

$locale['amazecs118'] = "AmazECS Settings";

$locale['amazecs119'] = '<p>Error, could not store cache file</p>';
$locale['amz_feat_ASIN'] = 'Featured Products: ';
$locale['amz_feat_ASIN_help'] = '<p>Enter a comma seperated list of upto 10 products (ASIN numbers). Get these from Amazon or browse your store to find items.</p>';
$locale['amz_ASSOCIATE_ID'] = 'Amazon Associate ID: ';
$locale['amz_locale'] = 'Locale: ';
$locale['amz_SITE_TITLE'] = 'Store Title';
$locale['amz_Update'] = 'Update';
$locale['amz_Updatestatus'] = '<p>Settings <b>updated</b>.<p>';

$lang['amz_noimageurl'] = 'no-img-avail.png';
$lang['amzFeatured'] = 'Featured';
$lang['amzBestselling'] = 'Bestselling';
$lang['amzPriceHiToLo'] = 'Price: high to low';
$lang['amzPriceLowToHi'] = 'Price: low to high';
$lang['amzNewest'] = 'Newest Arrivals';
$lang['amzSaleItems'] = 'Sale Items';
$lang['amzAtoZ'] = 'Alphabetical: A to Z';
$lang['amzAvCustReview'] = 'Average customer review: high to low';
$lang['amzPublishDate'] = 'Publication date: newer to older';
$lang['amzZtoA'] = 'Alphabetical: Z to A';
$lang['amzReleaseDate'] = 'Release date: newer to older';
$lang['amzMostPopular'] = 'Most popular';
$lang['amzArtistRank'] = 'Artist name: A to Z';
$lang['amzDateAdded'] = 'Date added';
$lang['amzAgeHiToLo'] = 'Age: high to low';
$lang['amzAgeLoToHi'] = 'Age: low to high';
$lang['amzVideoRelease'] = 'Release Date';
$lang['amzsort_by'] = 'Sort By';
$lang['amzTotalPages'] = 'Pages: ';
$lang['amzsort_order'] = 'Sort order:';
$lang['amzpubdate'] = 'Publication date: older to newer';


//
// Array of sort langauage names
//
$sortname = array ( "relevancerank" => $lang['amzFeatured'],
					"salesrank" => $lang['amzBestselling'],
					"pricerank" => $lang['amzPriceHiToLo'],
					"-launch-date" => $lang['amzNewest'],
					"sale-flag" => $lang['amzSaleItems'],
					"psrank" => $lang['amzFeatured'],
					"price" => $lang['amzPriceLowToHi'],
					"-price" => $lang['amzPriceHiToLo'],
					"titlerank" => $lang['amzAtoZ'],
					"pmrank" => $lang['amzFeatured'],
					"reviewrank" => $lang['amzAvCustReview'],
					"inverse-pricerank" => $lang['amzPriceHiToLo'],
					"daterank" => $lang['amzPublishDate'],
					"-titlerank" => $lang['amzZtoA'],
					"orig-rel-date" => $lang['amzReleaseDate'],
					"songtitlerank" => $lang['amzMostPopular'],
					"uploaddaterank" => $lang['amzDateAdded'],
					"-video-release-date" => $lang['amzReleaseDate'],
					"inverseprice" => $lang['amzPriceHiToLo'],
					"launch-date" => $lang['amzNewest'],
					"subslot-salesrank" => $lang['amzBestselling'],
					"artistrank" => $lang['amzArtistRank'],
					"pubdate" => $lang['amzArtistRank'],
					"-age-min" => $lang['amzAgeHiToLo']
					);

//
// Display
//
$lang['amzTotalProducts'] = 'Total Products: ';
$lang['amzListPrice'] = 'List Price: ';
$lang['amzOurPrice'] = 'Our Price';
$lang['amzViewDetails'] = 'View Details';
$lang['amzHome'] = 'Home';
$lang['amzViewingPage'] = 'You are viewing page: ';
$lang['amzOf'] = 'of';
$lang['amzSorry'] = 'Sorry';
$lang['amzbuy_text'] = 'Buy Now!';
//
// Search
//
$lang['amzyousearched'] = 'You searched for';
$lang['amzyour_search'] = 'Your search for';
$lang['amzsearchtitle'] = 'Search';
$lang['amzsearch_find'] = 'Find:';
$lang['amzsearch_in'] =  'in';
$lang['amzthiscategory'] =  'This category';
$lang['amzsearch_info'] = 'Enter what you are looking for in the search box above. You can narrow your results by choosing the most appropriate category from the dropdown box.';
$lang['amzno_results'] = 'Please try again in another category or use an alternative phrase. <br /><br /><b>Tip:</b>
                        Simple phrases using one or two words in the most approriate category work best.';
$lang['amzresults'] = 'results';
$lang['amzgenerated'] = 'generated';
$lang['amzshopping_cart'] = 'Shopping Cart';
$lang['amzitem_name'] = 'Item';
$lang['amzquantity'] = 'Qty';
$lang['amzprice'] = 'Price';
$lang['amzsub_total'] = 'Sub Total';
$lang['amzmodify'] = 'Modify';
$lang['amzcontinue_shopping'] = 'continue shopping';
$lang['amzstore_home'] = '<a href="index.php">Continue shopping...</a>';
$lang['amzclear_cart'] = 'clear cart';
$lang['amzcheckout'] = 'checkout';
$lang['amzyou_added'] = 'You have added the following:';

$lang['amzerror_text'] = '<br /><br />Sorry! Requesting this page has caused an error.
						Most likely you have tried to refresh this page, even though your shopping cart
						was already empty. <a href="index.php">View products...</a><br /><br />
						If the problem persists, please contact the webmaster with the details of the error(s):';
$lang['amzempty_cart_text'] = 'Your shopping cart is <b>empty!</b>';
$lang['amzcart_empty'] = 'Cart is <b>empty</b>.';
$lang['amzcart_total'] = 'Your shopping cart total is <b>';
$lang['amzcart_total1'] = 'Cart Total:';
$lang['amzcart_view'] = 'View cart';
$lang['amzrefine_search'] = 'Refine Your Search';
$lang['amzrefine_results'] = 'to refine these results.';
$lang['amzpower_search'] = 'power search';
$lang['amzcart_help'] ='<h2>Help</h2>
<ul>
<li>To delete an item from your cart enter <b>0</b> in the Qty field.</li>
<li>To clear your cart of all contents, press the clear button.</li>
<li>To submit your order for processing, press the checkout button.</li>
<li>All orders processed using secure SSL checkout via Amazon.</li>
</ul>';

// product page
$lang['amzrerr_error'] = 'Your request has encountered an error: ';
$lang['amzproblem'] = 'If the problem persists please';
$lang['amzwebmaster'] = 'contact the webmaster';
$lang['amzrerr_detail'] = 'with details of the error:';
$lang['amzrating'] = 'Rating:';
$lang['amz_out_of'] = ' out of 5';

$lang['amzdisclaimer'] = '(subject to change)';
$lang['amz_na'] = 'N/A';
$lang['amz_rrp'] = 'RRP';
$lang['amznot_avail'] = 'This item is currently not available by this merchant';
$lang['amz_avail'] = 'Availablity: ';
$lang['amz_no_stock'] = ' Out of stock';
$lang['amz_item_detail'] = 'Item Detail';

$lang['amzFormat'] = 'Format: ';
$lang['amzRegion'] = 'Region ';
$lang['amzencoding'] = 'encoding';
$lang['amzRunning_Time'] = 'Running Time: ';
$lang['amzLanguages'] = 'Languages: ';
$lang['amzActors'] = 'Actors: ';
$lang['amzAuthors'] = 'Authors: ';
$lang['amzArtists'] = 'Artists: ';
$lang['amzBrand'] = 'Brand: ';
$lang['amzModel'] = 'Model: ';
$lang['amzMPN'] = 'MPN: ';
$lang['amzComposers'] = 'Composers: ';
$lang['amzConductor'] = 'Conductor: ';
$lang['amzDirectors'] = 'Directors: ';
$lang['amzLabel'] = 'Label: ';
$lang['amzStudio'] = 'Studio: ';
$lang['amzManufacturer'] = 'Manufacturer: ';
$lang['amzESRBAgeRating'] = 'ESRBAgeRating: ';
$lang['amzManufacturerMinimumAge'] = 'Man. Min. Age: ';
$lang['amzManufacturerMaximumAge'] = 'Man. Max. Age: ';
$lang['amzMPAARating'] = 'MPAA Rating: ';
$lang['amzOrchestra'] = 'Orchestra: ';
$lang['amzPublishers'] = 'Publishers: ';
$lang['amzPlatforms'] = 'Platforms: ';
$lang['amzReleaseDate'] = 'Release Date: ';
$lang['amzEAN'] = 'EAN: ';
$lang['amzUPC'] = 'UPC: ';
$lang['amzColor'] = 'Colour: ';
$lang['amzWeight'] = 'Weight: ';
$lang['amzHeight'] = 'Height: ';
$lang['amzWidth'] = 'Width: ';
$lang['amzLength'] = 'Length: ';
$lang['amzCE'] = 'Product Group: Electronics';
$lang['amzProductGroup'] = 'Product Group: ';
$lang['amzNumberOfItems'] = 'Number of items: ';

$lang['amzSimilar_Items'] = 'Similar Items';
$lang['amzSimViewed_Items'] = 'Similar Viewed Items';
$lang['amzSimCat_Items'] = 'Other Related Items';

$lang['amzProduct_Images'] = 'Product Images';
$lang['amzDisc'] = 'Disc ';
$lang['amzTracks'] = ' Tracks';
$lang['amzAccessories'] = 'Accessories';
$lang['amzReviews'] = 'Reviews';
$lang['amzCustomer_Id'] = 'Customer Id:';
$lang['amzTop'] = '<p align="center">[ <a href="#top">Back To Top</a> ]</p>';
$lang['amz_in_cats'] = 'in these categories: ';
$lang['amzSoftwareVideoGames'] = 'Software &amp; Video Games';
$lang['amzVideoGames'] = 'Video Games';
$lang['amz_items_found'] = 'items found for';
$lang['amz_Try_our'] = 'Try our ';
$lang['amz_Change'] = 'Change';
$lang['amz_Product'] = 'Product';
?>