<?php
/*****************************************************************
 *   sort.php
 *   -------------------
 *   This file is part of AMAZECS
 *
 *   @package    : amazecs
 *   @purpose    : Sort box funtions
 *   @copyright  : (C) 2004,2006 Len Johnson
 *   @mail       : GB WEBS, 4 Leominster Walk,
 *				   West Midlands, B45 9SW, UK
 *   @support    : http://www.web-bureau.com/forum/
 *   @version    : $Id: sort.php,v 1.0.0 $
 *   @license 	 : http://opensource.org/licenses/gpl-license.php
 *
 *****************************************************************/
 /*****************************************************************
 *	 GNU Public License
 *   This program is free software; you can redistribute it and/or modify it
 *   under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License,
 *   or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty
 *	 of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *****************************************************************/

/**
 * @ignore
 */

function Blended()
{
	global $lang;
	$holder[] .= '<option value="salesrank">' . $lang['amzBestselling'] . '</option>';

    foreach ($holder as $val) {
		print $val ."\n";
    }
}
function Books()
{
	global $lang;
	$holder[] .= '<option value="salesrank">' . $lang['amzBestselling'] . '</option>';
	$holder[] .= '<option value="reviewrank">' . $lang['amzAvCustReview'] . '</option>';
	$holder[] .= '<option value="pricerank">' . $lang['amzPriceLowToHi'] . '</option>';
	$holder[] .= '<option value="inverse-pricerank">' . $lang['amzPriceHiToLo'] . '</option>';
	$holder[] .= '<option value="daterank">' . $lang['amzPublishDate'] . '</option>';
	$holder[] .= '<option value="pubdate">' . $lang['amzFeatured'] . '</option>';
	$holder[] .= '<option value="titlerank">' . $lang['amzAtoZ'] . '</option>';
	$holder[] .= '<option value="-titlerank">' . $lang['amzZtoA'] . '</option>';

    foreach ($holder as $val) {
		print $val ."\n";
    }
}
function Classical()
{
	global $lang;
	$holder[] .= '<option value="salesrank">' . $lang['amzBestselling'] . '</option>';
	$holder[] .= '<option value="reviewrank">' . $lang['amzAvCustReview'] . '</option>';
	$holder[] .= '<option value="price">' . $lang['amzPriceLowToHi'] . '</option>';
	$holder[] .= '<option value="inverse-pricerank">' . $lang['amzPriceHiToLo'] . '</option>';
	$holder[] .= '<option value="titlerank">' . $lang['amzAtoZ'] . '</option>';
	$holder[] .= '<option value="-titlerank">' . $lang['amzZtoA'] . '</option>';

    foreach ($holder as $val) {
		print $val ."\n";
    }
}
function DVD()
{
	global $lang;
	$holder[] .= '<option value="salesrank">' . $lang['amzBestselling'] . '</option>';
	$holder[] .= '<option value="reviewrank">' . $lang['amzAvCustReview'] . '</option>';
	$holder[] .= '<option value="price">' . $lang['amzPriceLowToHi'] . '</option>';
	$holder[] .= '<option value="inverse-pricerank">' . $lang['amzPriceHiToLo'] . '</option>';
	$holder[] .= '<option value="daterank">' . $lang['amzPublishDate'] . '</option>';
	$holder[] .= '<option value="titlerank">' . $lang['amzAtoZ'] . '</option>';
	$holder[] .= '<option value="-titlerank">' . $lang['amzZtoA'] . '</option>';

    foreach ($holder as $val) {
		print $val ."\n";
    }
}
function Electronics()
{
	global $lang;
	$holder[] .= '<option value="salesrank">' . $lang['amzBestselling'] . '</option>';
	$holder[] .= '<option value="reviewrank">' . $lang['amzAvCustReview'] . '</option>';
	$holder[] .= '<option value="price">' . $lang['amzPriceLowToHi'] . '</option>';
	$holder[] .= '<option value="inverse-pricerank">' . $lang['amzPriceHiToLo'] . '</option>';
	$holder[] .= '<option value="daterank">' . $lang['amzPublishDate'] . '</option>';
	$holder[] .= '<option value="titlerank">' . $lang['amzAtoZ'] . '</option>';
	$holder[] .= '<option value="-titlerank">' . $lang['amzZtoA'] . '</option>';

    foreach ($holder as $val) {
		print $val ."\n";
    }
 }
function HealthPersonalCare()
{
	global $lang;
	$holder[] .= '<option value="salesrank">' . $lang['amzBestselling'] . '</option>';
	$holder[] .= '<option value="reviewrank">' . $lang['amzAvCustReview'] . '</option>';
	$holder[] .= '<option value="price">' . $lang['amzPriceLowToHi'] . '</option>';
	$holder[] .= '<option value="-price">' . $lang['amzPriceHiToLo'] . '</option>';
	$holder[] .= '<option value="daterank">' . $lang['amzPublishDate'] . '</option>';
	$holder[] .= '<option value="titlerank">' . $lang['amzAtoZ'] . '</option>';
	$holder[] .= '<option value="-titlerank">' . $lang['amzZtoA'] . '</option>';

    foreach ($holder as $val) {
		print $val ."\n";
    }
}
function HomeGarden()
{
	global $lang;
	$holder[] .= '<option value="salesrank">' . $lang['amzBestselling'] . '</option>';
	$holder[] .= '<option value="reviewrank">' . $lang['amzAvCustReview'] . '</option>';
	$holder[] .= '<option value="price">' . $lang['amzPriceLowToHi'] . '</option>';
	$holder[] .= '<option value="-price">' . $lang['amzPriceHiToLo'] . '</option>';
	$holder[] .= '<option value="daterank">' . $lang['amzPublishDate'] . '</option>';
	$holder[] .= '<option value="titlerank">' . $lang['amzAtoZ'] . '</option>';
	$holder[] .= '<option value="-titlerank">' . $lang['amzZtoA'] . '</option>';

    foreach ($holder as $val) {
		print $val ."\n";
    }
}
function Kitchen()
{
	global $lang;
	$holder[] .= '<option value="salesrank">' . $lang['amzBestselling'] . '</option>';
	$holder[] .= '<option value="reviewrank">' . $lang['amzAvCustReview'] . '</option>';
	$holder[] .= '<option value="price">' . $lang['amzPriceLowToHi'] . '</option>';
	$holder[] .= '<option value="-price">' . $lang['amzPriceHiToLo'] . '</option>';
	$holder[] .= '<option value="daterank">' . $lang['amzPublishDate'] . '</option>';
	$holder[] .= '<option value="titlerank">' . $lang['amzAtoZ'] . '</option>';
	$holder[] .= '<option value="-titlerank">' . $lang['amzZtoA'] . '</option>';

    foreach ($holder as $val) {
		print $val ."\n";
    }
}
function Music()
{
	global $lang;
	$holder[] .= '<option value="salesrank">' . $lang['amzBestselling'] . '</option>';
	$holder[] .= '<option value="reviewrank">' . $lang['amzAvCustReview'] . '</option>';
	$holder[] .= '<option value="price">' . $lang['amzPriceLowToHi'] . '</option>';
	$holder[] .= '<option value="inverse-pricerank">' . $lang['amzPriceHiToLo'] . '</option>';
	$holder[] .= '<option value="titlerank">' . $lang['amzAtoZ'] . '</option>';
	$holder[] .= '<option value="-titlerank">' . $lang['amzZtoA'] . '</option>';

    foreach ($holder as $val) {
		print $val ."\n";
    }
}
function MusicTracks()
{
	global $lang;
	$holder[] .= '<option value="titlerank">' . $lang['amzAtoZ'] . '</option>';
	$holder[] .= '<option value="-titlerank">' . $lang['amzZtoA'] . '</option>';

    foreach ($holder as $val) {
		print $val ."\n";
    }
}
function OutdoorLiving()
{
	global $lang;
	$holder[] .= '<option value="salesrank">' . $lang['amzBestselling'] . '</option>';
	$holder[] .= '<option value="reviewrank">' . $lang['amzAvCustReview'] . '</option>';
	$holder[] .= '<option value="price">' . $lang['amzPriceLowToHi'] . '</option>';
	$holder[] .= '<option value="-price">' . $lang['amzPriceHiToLo'] . '</option>';
	$holder[] .= '<option value="daterank">' . $lang['amzPublishDate'] . '</option>';
	$holder[] .= '<option value="titlerank">' . $lang['amzAtoZ'] . '</option>';
	$holder[] .= '<option value="-titlerank">' . $lang['amzZtoA'] . '</option>';

    foreach ($holder as $val) {
		print $val ."\n";
    }
}
function Software()
{
	global $lang;
	$holder[] .= '<option value="salesrank">' . $lang['amzBestselling'] . '</option>';
	$holder[] .= '<option value="reviewrank">' . $lang['amzAvCustReview'] . '</option>';
	$holder[] .= '<option value="price">' . $lang['amzPriceLowToHi'] . '</option>';
	$holder[] .= '<option value="inverse-pricerank">' . $lang['amzPriceHiToLo'] . '</option>';
	$holder[] .= '<option value="daterank">' . $lang['amzPublishDate'] . '</option>';
	$holder[] .= '<option value="titlerank">' . $lang['amzAtoZ'] . '</option>';
	$holder[] .= '<option value="-titlerank">' . $lang['amzZtoA'] . '</option>';

    foreach ($holder as $val) {
		print $val ."\n";
    }
}
function SoftwareVideoGames()
{
	global $lang;
	$holder[] .= '<option value="salesrank">' . $lang['amzBestselling'] . '</option>';
	$holder[] .= '<option value="reviewrank">' . $lang['amzAvCustReview'] . '</option>';
	$holder[] .= '<option value="price">' . $lang['amzPriceLowToHi'] . '</option>';
	$holder[] .= '<option value="inverse-pricerank">' . $lang['amzPriceHiToLo'] . '</option>';
	$holder[] .= '<option value="daterank">' . $lang['amzPublishDate'] . '</option>';
	$holder[] .= '<option value="titlerank">' . $lang['amzAtoZ'] . '</option>';
	$holder[] .= '<option value="-titlerank">' . $lang['amzZtoA'] . '</option>';

    foreach ($holder as $val) {
		print $val ."\n";
    }
}
function Tools() // No values in the SDK !
{
	global $lang;
	$holder[] .= '<option value="salesrank">' . $lang['amzBestselling'] . '</option>';

    foreach ($holder as $val) {
		print $val ."\n";
    }
}
function Toys()
{
	global $lang;
	$holder[] .= '<option value="pmrank">' . $lang['amzFeatured'] . '</option>';
	$holder[] .= '<option value="salesrank">' . $lang['amzBestselling'] . '</option>';
	$holder[] .= '<option value="price">' . $lang['amzPriceLowToHi'] . '</option>';
	$holder[] .= '<option value="-price">' . $lang['amzPriceHiToLo'] . '</option>';
	$holder[] .= '<option value="-mfg-age-min">' . $lang['amzAgeHiToLo'] . '</option>';
	$holder[] .= '<option value="mfg-age-min">' . $lang['amzAgeLoToHi'] . '</option>';

    foreach ($holder as $val) {
		print $val ."\n";
    }
}
function VHS()
{
	global $lang;
	$holder[] .= '<option value="salesrank">' . $lang['amzBestselling'] . '</option>';
	$holder[] .= '<option value="reviewrank">' . $lang['amzAvCustReview'] . '</option>';
	$holder[] .= '<option value="price">' . $lang['amzPriceLowToHi'] . '</option>';
	$holder[] .= '<option value="inverse-pricerank">' . $lang['amzPriceHiToLo'] . '</option>';
	$holder[] .= '<option value="daterank">' . $lang['amzPublishDate'] . '</option>';
	$holder[] .= '<option value="titlerank">' . $lang['amzAtoZ'] . '</option>';
	$holder[] .= '<option value="-titlerank">' . $lang['amzZtoA'] . '</option>';

    foreach ($holder as $val) {
		print $val ."\n";
    }
}
function Video()
{
	global $lang;
	$holder[] .= '<option value="salesrank">' . $lang['amzBestselling'] . '</option>';
	$holder[] .= '<option value="reviewrank">' . $lang['amzAvCustReview'] . '</option>';
	$holder[] .= '<option value="price">' . $lang['amzPriceLowToHi'] . '</option>';
	$holder[] .= '<option value="inverse-pricerank">' . $lang['amzPriceHiToLo'] . '</option>';
	$holder[] .= '<option value="daterank">' . $lang['amzPublishDate'] . '</option>';
	$holder[] .= '<option value="titlerank">' . $lang['amzAtoZ'] . '</option>';
	$holder[] .= '<option value="-titlerank">' . $lang['amzZtoA'] . '</option>';

    foreach ($holder as $val) {
		print $val ."\n";
    }
}
function VideoGames()
{
	global $lang;
	$holder[] .= '<option value="salesrank">' . $lang['amzBestselling'] . '</option>';
	$holder[] .= '<option value="reviewrank">' . $lang['amzAvCustReview'] . '</option>';
	$holder[] .= '<option value="price">' . $lang['amzPriceLowToHi'] . '</option>';
	$holder[] .= '<option value="inverse-pricerank">' . $lang['amzPriceHiToLo'] . '</option>';
	$holder[] .= '<option value="daterank">' . $lang['amzPublishDate'] . '</option>';
	$holder[] .= '<option value="titlerank">' . $lang['amzAtoZ'] . '</option>';
	$holder[] .= '<option value="-titlerank">' . $lang['amzZtoA'] . '</option>';

    foreach ($holder as $val) {
		print $val ."\n";
    }
}

// Display stars to show consumer ratings

function avRating()
{
	global $arxItems;
	$rating = $arxItems['id'];
	$result = '';

	$count = $rating;
	$count = $rating *2;
	round($count);
	$count = $count/2;

	$rating = number_format($rating, 1);

	while ($count>0)
	{
		if ($count>=1)
		{
			$result .= "<img src='picts/star.gif' alt = '$rating Stars'>";
		}
		else if ($count>0.4)
		{
			$result .= "<img src='picts/halfstar.gif' alt  = '$rating Stars'>";
		}
		$count--;
	}
	return $result;
}
function sort_search_options($SearchIndex)
{
global $Actor, $Artist, $Author, $ASIN, $Brand, $BrowseNode, $bnlu_amz_locale, $CartAdd, $CartClear, $CartGet, $CartModify, $Composer, $Condition, $Conductor, $Director, $ISBN, $ItemPage, $Keywords, $amz_locale, $Manufacturer, $MaximumPrice, $MinimumPrice, $MPAARating, $multi, $MusicLabel, $my_Id, $OfferListingId, $Orchestra, $page, $Power, $Publisher, $quantity, $ReviewPage, $search, $SearchIndex, $sort, $Title, $power,$BrowseNode,$Keywords,$lang;
print '<table cellpadding="0" cellspacing="0" border="0" width="95%">
		<tr align="center">
		<form method="get" action="index.php">
         <input type="hidden" name="action" value="search">

			<td style="padding-left:10px;" height="35">
				<table cellspacing="0" cellpadding="0">
					<tr>
						<td class="small">
         Sort by:
         <input type="hidden" name="BrowseNode" value="'.$BrowseNode.'">
         <input type="hidden" name="SearchIndex" value="'.$SearchIndex.'">
         <input type="hidden" name="Keywords" value="'.$Keywords.'">
         <input type="hidden" name="page" value="'.$page.'">
         <input type="hidden" name="Artist" value="'.$artist.'">
         <input type="hidden" name="Author" value="'.$Author.'">
         <input type="hidden" name="MusicLabel" value="'.$music_label.'">
         <input type="hidden" name="Title" value="'.$Title.'">
         <input type="hidden" name="Composer" value="'.$Composer.'">
         <input type="hidden" name="Conductor" value="'.$Conductor.'">
         <input type="hidden" name="Orchestra" value="'.$Orchestra.'">
         <input type="hidden" name="Publisher" value="'.$Publisher.'">
         <input type="hidden" name="Manufacturer" value="'.$Manufacturer.'">
         <input type="hidden" name="Brand" value="'.$Brand.'">

		<select name="Sort">';

        $SearchIndex();

        print '</select>

						</td>

						<td width="5"></td>
						<td valign="middle">
						<input name="Go" type="submit" value="Submit" class="button">
						</td>
					</tr>
				</table>
			</td>
		</form>
		</tr>
	</table>';
}
?>